| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iWxWindow Struct Reference

Interface to communicate with with a wxWidgets-based canvas. More...

`#include <ivideo/wxwin.h>`

Inheritance diagram for iWxWindow:

[legend]
List of all members.

## Public Member Functions
virtual wxWindow * | GetWindow ()=0
| Get wxWidgets window object of the canvas.
virtual void | SetParent (wxWindow *parent)=0
| Set wxWidgets parent window of the canvas.

## Detailed Description

Interface to communicate with with a wxWidgets-based canvas.

Definition at line 42 of file wxwin.h.

## Member Function Documentation

virtual wxWindow* iWxWindow::GetWindow | ( |  | ) | `[pure virtual]`

Get wxWidgets window object of the canvas.

virtual void iWxWindow::SetParent | ( | wxWindow * | parent | ) | `[pure virtual]`

Set wxWidgets parent window of the canvas.

The documentation for this struct was generated from the following file:

- ivideo/wxwin.h